QGIS Application - Feature request #4637
Multiple labels on long polylines
2011-12-12 10:46 PM - Denis Rouzaud

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 14538
Description

When having a long polyline, it is useful to place several time the same label along the line.
Right now, it is possible to avoid the creation of the label if the line is shorter than a threshold.
What would be great is to define ranges:

Distance | # items

<10m |0
10<I<50 | 1
>50m |2

To do this, the use of fields to save the placement of labels should be changed and use a MULTIPOINT geometry.
| see one problem: how to save orientation and distance fields if there are several labels.

Related issues:
Related to QGIS Application - Feature request # 5012: Add option to repeat la... Closed 2012-02-14

History

#1 - 2011-12-14 01:11 AM - Denis Rouzaud

Can someone change this to feature request please, apparently | cannot.

#2 - 2011-12-14 01:15 AM - Giovanni Manghi

- Tracker changed from Bug report to Feature request

#3 - 2011-12-16 09:38 AM - Paolo Cavallini
- Subject changed from Multi label to Multiple labels on long polylines

#4 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-05-07 07:40 AM - Denis Rouzaud

https://github.com/qgis/QGIS/pull/1338

#6 - 2014-09-05 05:36 AM - Denis Rouzaud
- Status changed from Open to Closed
